
.product-list  {
    width: 100%;
}
.product-item {
    position: relative;
    margin-top: 2%;
}
.product-item:hover {
    transform: translate3d(0, -2px, 0);
}
.product-item:hover img {
    box-shadow: 10px 14px 12px rgba(0, 0, 0, 0.15);
}
.product-item .product-name {
    position: absolute;
    width: calc(100% - 30px);
    bottom: 0;
    left: 15px;
    text-align: center;
    padding: 0.5rem;
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
    font-weight: bold;
    font-size: 20px;
    line-height: 250%;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}